# BaseIOCardDefinition

# Class BaseIOCardDefinition

Namespace: TecnoPack
Assembly: CO0002_Templ_FlowpackHMI_V00_9_3.dll

Classe base astratta per le definizioni di schede IO, contenente proprietà condivise tra le varie tipologie.

    public abstract class BaseIOCardDefinition

#### Inheritance

object ←
BaseIOCardDefinition

#### Derived

NormalIOCardDefinition,
SafetyIOCardDefinition

#### Inherited Members

object.GetType(),
object.MemberwiseClone(),
object.ToString(),
object.Equals(object?),
object.Equals(object?, object?),
object.ReferenceEquals(object?, object?),
object.GetHashCode()

## Constructors

### BaseIOCardDefinition()

    protected BaseIOCardDefinition()

## Properties

### Colors

Mappa tra nomi di colori e valori interi non negativi.
Può essere utilizzata per rappresentazioni grafiche o codifiche di stato.

    public Dictionary<string, uint> Colors { get; set; }

#### Property Value

Dictionary
<
string,
uint
>

### IODirection

Direzione del segnale IO: tipicamente “I” (Input) o “O” (Output).

    public string IODirection { get; set; }

#### Property Value

string

### NodeType

Indica il tipo di nodo associato alla scheda, utile per raggruppamenti logici o di rete.

    public string NodeType { get; set; }

#### Property Value

string

### Type

Specifica il tipo generale della scheda IO (ad esempio, “input” o “output”).

    public string Type { get; set; }

#### Property Value

string